| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

List of all members
MobileAppearance Class Reference
UIExtension » appearances

Appearance for mobile-end. More...

Inheritance diagram for MobileAppearance:

## Additional Inherited Members
Public Member Functions inherited from UIAppearance
| afterMounted (root)
| A lifecycle method, will allways be called after root component mounted into DOM tree. More...
Public Member Functions inherited from Appearance
| afterMounted (root)
| A lifecycle method, will allways be called after root component mounted into DOM tree. More...
| beforeMounted (root)
| A lifecycle method, will allways be called before root component mounted into DOM tree. More...
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...
Static Public Member Functions inherited from Appearance
static | extend (proto, statics)
| Extends from Appearance class and generates a customize appearance! More...
Protected Member Functions inherited from Appearance
| disableAll ()
| A method to disable those components that are activated only when the current PDF document is displayed.. It's called when the `PDFViewCtrl.constants.ViewerEvents.willCloseDocument` event is triggerred.
| enableAll ()
| A method to enable those components that are disabled by calling disableAll() method. It's called when the `PDFViewCtrl.constants.ViewerEvents.openFileSuccess` event is triggerred.
| getDefaultFragments ()
| UI fragments array, defines serveral UI components and business logics. More...
| getLayoutTemplate ()
| A method provides a layout template. More...

## Detailed Description

Appearance for mobile-end.

@2025 Foxit Software Incorporated. All rights reserved.